Subject: Bug report: .gitattributes: -diff Unset causes files to be reported as binaries

From: Frans Englich <[email-masked]>
Date: Wed, 1 Jul 2009 12:08:35 +0200

Hi,

Applying -diff Unset to a file using .gittattributes causes "git diff" to 
state that the file is a binary even though it isn't, or have been instructed 
to be treated as one. See attached script for reproducing.

This causes confusion since the file isn't a binary, it's only the diff output 
that has been suppressed. For instance, an auto generated cpp file has -diff 
Unset applied to it to suppress the meaningless output, but people contact 
you to point out the file is binary.

Perhaps this is easy to fix, a question of changing message strings.

Cheers,

		Frans